Update the auto-withdrawal setting
Updates the auto-withdrawal setting of the authenticated contractor profile. Use it when you need to choose which withdrawal method auto-withdrawal pays out to as well as switch it on or off, because PATCH /payouts/contractors/settings/auto_withdraw can only switch it on or off. It accepts worker personal access tokens only, whereas that endpoint also accepts organization and personal tokens.
Token scopes: worker:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Request
Change the auto withdrawal setting
data
Response
Successfully update auto-withdrawal settings
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error